Subject: RE: [Ips] section 5.1 ITT [draft-ietf-ips-iscsi-impl-guide-00.txt]

From: [email-masked]
Date: Mon, 8 Aug 2005 19:01:08 -0600

I think it is all fine and non-contradictory if one understands "MUST NOT be used by the initiator" to mean "the initiator MUST NOT create a task with the ITT" 0xffffffff or "the initiator MUST NOT assign the ITT 0xffffffff to any task". If one interprets "use" more broadly, e.g. MUST NOT ever send a PDU with that ITT, then it isn't true for the NOP-IN response. So perhaps some version of the other words could be used instead of MUST NOT be used.

Regards,
Pat

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Mallikarjun C.
Sent: Friday, 05 August, 2005 6:29 PM
To: [email-masked]
Subject: Re: [Ips] section 5.1 ITT [draft-ietf-ips-iscsi-impl-guide-00.txt]

 >But it's a big thing that should have been
 > mentioned, say in chapter 3 where we discussed primary concepts.

Thanks.  That's basically the feedback I received, which I thought was a 
reasonable request.  I will wordsmth the text a bit to make it clearer.

Mallikarjun

Mallikarjun Chadalapaka
Networked Storage Architecture
StorageWorks Division
Hewlett-Packard MS 5668
Roseville CA 95747
cbm [at] rose.hp.com

William Studenmund wrote:
> On Aug 5, 2005, at 5:32 PM, Eddy Quicksall wrote:
> 
>> Maybe you can explain why 10.19 (and 10.18) needs clarification. To me 
>> they are clear on the use of the ITT.
> 
> 
> I'm not sure; I don't know what discussions lead to this section.
> 
> However I would expect they stem from the fact that RFC 3720 (10.18 and 
> 10.19) never explicitly states that ITT 0xffffffff is reserved overall. 
> Yes, it's in the NOP-OUT and NOP-IN section and they won't work if ITT 
> 0xffffffff isn't reserved. But it's a big thing that should have been 
> mentioned, say in chapter 3 where we discussed primary concepts. "Don't 
> use ITT 0xffffffff for an initiator task's ID" is a big thing. :-)
> 
> Take care,
> 
> Bill
> 
> 
> ------------------------------------------------------------------------
> 
> _______________________________________________
> Ips mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ips

_______________________________________________
Ips mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ips

_______________________________________________
Ips mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ips

---

From: "Eddy Quicksall" <[email-masked]>
Date: Tue, 9 Aug 2005 09:36:39 -0400

The main problem with the paragraph is the reference to 10.19.

Eddy

----- Original Message ----- 
From: <[email-masked]>
To: <[email-masked]>; <[email-masked]>
Sent: Monday, August 08, 2005 9:01 PM
Subject: RE: [Ips] section 5.1 ITT [draft-ietf-ips-iscsi-impl-guide-00.txt]

I think it is all fine and non-contradictory if one understands "MUST NOT be 
used by the initiator" to mean "the initiator MUST NOT create a task with 
the ITT" 0xffffffff or "the initiator MUST NOT assign the ITT 0xffffffff to 
any task". If one interprets "use" more broadly, e.g. MUST NOT ever send a 
PDU with that ITT, then it isn't true for the NOP-IN response. So perhaps 
some version of the other words could be used instead of MUST NOT be used.

Regards,
Pat

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of 
Mallikarjun C.
Sent: Friday, 05 August, 2005 6:29 PM
To: [email-masked]
Subject: Re: [Ips] section 5.1 ITT [draft-ietf-ips-iscsi-impl-guide-00.txt]

Mallikarjun

Mallikarjun Chadalapaka

---

From: "Eddy Quicksall" <[email-masked]>
Date: Tue, 9 Aug 2005 11:20:31 -0400

If it wasn't clear in what I said below, what I mean is the reference to 
10.19 as it stands makes one not familiar with the issue the impression that 
the paragraph is referring to 10.19.

My suggestion is that the paragraph be more specific that the issue is the 
use of a ITT of 0xffffffff and simply reference 10.18 and 10.19 as the one 
case where the ITT can be 0xffffffff.

It would seem that a simple way of saying that is something like:

Except where specified in paragraphs 10.18 and 10.19 an ITT of 0xffffffff is 
reserved and MUST NOT be used by the initiator.

Eddy

----- Original Message ----- 
From: "Eddy Quicksall" <[email-masked]>
To: <[email-masked]>; <[email-masked]>; <[email-masked]>
Sent: Tuesday, August 09, 2005 9:36 AM
Subject: Re: [Ips] section 5.1 ITT [draft-ietf-ips-iscsi-impl-guide-00.txt]

> I think it is all fine and non-contradictory if one understands "MUST NOT 
> be used by the initiator" to mean "the initiator MUST NOT create a task 
> with the ITT" 0xffffffff or "the initiator MUST NOT assign the ITT 
> 0xffffffff to any task". If one interprets "use" more broadly, e.g. MUST 
> NOT ever send a PDU with that ITT, then it isn't true for the NOP-IN 
> response. So perhaps some version of the other words could be used instead 
> of MUST NOT be used.
>
> Regards,
> Pat
>

---

From: William Studenmund <[email-masked]>
Date: Wed, 10 Aug 2005 11:34:03 -0700

On Aug 9, 2005, at 8:20 AM, Eddy Quicksall wrote:

> If it wasn't clear in what I said below, what I mean is the reference 
> to 10.19 as it stands makes one not familiar with the issue the 
> impression that the paragraph is referring to 10.19.
>
> My suggestion is that the paragraph be more specific that the issue is 
> the use of a ITT of 0xffffffff and simply reference 10.18 and 10.19 as 
> the one case where the ITT can be 0xffffffff.
>
> Except where specified in paragraphs 10.18 and 10.19 an ITT of 
> 0xffffffff is reserved and MUST NOT be used by the initiator.

Since we're all word-smithing, how about:

An ITT of 0xFFFFFFFF is reserved and MUST NOT be used by the initiator 
except as specified in paragraphs 10.18 and 10.19.

The difference is that 0xFFFFFFFF is always reserved, and 10.18 and 
10.19 explain how it is used. :-)

As an aside, what text do we have indicating that TTT 0xFFFFFFFF is 
reserved and can only be used for unsolicited data? I'd expect that we 
could use a similar construct here.

Take care,

Bill